package com.cisdi.data.AMETEKSurfaceVision.gateway;

/**
 * 存储表检仪协议常量信息
 *
 * @author tzz
 */
public final class SurfaceVisionConstants {

    //下发命令返回消息头类型

    /**
     * 非Query类型命令下发返回消息头，使用starWith判断
     */
    public static final String RETURN_HEADER1 = "REPLY_";
    /**
     * 默认下发返回消息头（应为下发命令报错时消息返回头），使用equals判断
     */
    public static final String RETURN_HEADER2 = "REPLY";
    /**
     * Query类型命令下发返回消息头，使用equals判断
     */
    public static final String RETURN_HEADER3 = "RESULT";


    /**
     * 命令下发返回成功状态值，ok代表成功
     */
    public static final String RETURN_OK = "OK";

    /**
     * 消息分隔符
     */
    public static final String SEPARATE1 = "\\|";

    /**
     * 消息分隔符
     */
    public static final char SEPARATE = '|';

    /**
     * 消息结束符（除|以外）
     */
    public static final char[] END = {'$','\r','\n'};

    /**
     * Query类型命令下发消息头，使用starWith判断
     */
    public static final String QUERY = "QUERY";

    /**
     * 下发命令计数器最大值
     */
    public static final int MAX_COUNT = 100;

    /**
     * 下发命令正常返回消息最小字段数
     */
    public static final int MIN_NORMAL_RETURN = 3;

    /**
     * 下发命令数据KEY
     */
    public static final String S_V_SEND_DATA = "surfaceVisionSendData";

    /**
     * 返回给平台数据KEY
     */
    public static final String S_V_SEND_PLATFORM_DATA = "surfaceVisionSendPlatformData";

    /** 心跳符，$的16进制 */
    public static final byte BEAT_BYTE = 0x07;
}
