### 设备健康振动数据接入

#### 测点状态接口及返回数据结构

/databases/{databaseName}/measuringpoints

######databaseName数据库名称

```json
{
  "values": [
    {
      "Number": "01-A-DX",
      "IntNo": 121,
      "Name": "导向轴承",
      "ComponentName": "1号炉",
      "ComponentNumber": "01",
      "ComponentIntNo": 1,
      "MachineIntNo": 0,
      "ColorEval": 1,
      "ColorEvalExt": 2,
      "ColorEvalValue": 0.25,
      "Alarmed": false,
      "TechColorEval": {
        "Loaded": true,
        "Alarms": 0,
        "Unknown": 0,
        "Green": 4,
        "Yellow": 0,
        "Red": 0
      }
    },
    {
      "Number": "01-A-ZC",
      "IntNo": 122,
      "Name": "支撑轴承",
      "ComponentName": "1号炉",
      "ComponentNumber": "01",
      "ComponentIntNo": 1,
      "MachineIntNo": 0,
      "ColorEval": 1,
      "ColorEvalExt": 2,
      "ColorEvalValue": 0.25,
      "Alarmed": false,
      "TechColorEval": {
        "Loaded": true,
        "Alarms": 0,
        "Unknown": 0,
        "Green": 4,
        "Yellow": 0,
        "Red": 0
      }
    },
    {
      "Number": "01-B-DX",
      "IntNo": 174,
      "Name": "导向轴承",
      "ComponentName": "1号炉",
      "ComponentNumber": "01",
      "ComponentIntNo": 1,
      "MachineIntNo": 0,
      "ColorEval": 1,
      "ColorEvalExt": 2,
      "ColorEvalValue": 0.25,
      "Alarmed": false,
      "TechColorEval": {
        "Loaded": true,
        "Alarms": 0,
        "Unknown": 0,
        "Green": 4,
        "Yellow": 0,
        "Red": 0
      }
    },
    {
      "Number": "01-B-ZC",
      "IntNo": 175,
      "Name": "支撑轴承",
      "ComponentName": "1号炉",
      "ComponentNumber": "01",
      "ComponentIntNo": 1,
      "MachineIntNo": 0,
      "ColorEval": 1,
      "ColorEvalExt": 2,
      "ColorEvalValue": 0.25,
      "Alarmed": false,
      "TechColorEval": {
        "Loaded": true,
        "Alarms": 0,
        "Unknown": 0,
        "Green": 4,
        "Yellow": 0,
        "Red": 0
      }
    },
    {
      "Number": "02-A-DX",
      "IntNo": 176,
      "Name": "导向轴承",
      "ComponentName": "2号炉",
      "ComponentNumber": "02",
      "ComponentIntNo": 3,
      "MachineIntNo": 0,
      "ColorEval": 2,
      "ColorEvalExt": 3,
      "ColorEvalValue": 0.5,
      "Alarmed": true,
      "TechColorEval": {
        "Loaded": true,
        "Alarms": 1,
        "Unknown": 0,
        "Green": 3,
        "Yellow": 1,
        "Red": 0
      }
    },
    {
      "Number": "02-A-ZC",
      "IntNo": 188,
      "Name": "支撑轴承",
      "ComponentName": "2号炉",
      "ComponentNumber": "02",
      "ComponentIntNo": 3,
      "MachineIntNo": 0,
      "ColorEval": 3,
      "ColorEvalExt": 5,
      "ColorEvalValue": 0.810000002384186,
      "Alarmed": true,
      "TechColorEval": {
        "Loaded": true,
        "Alarms": 2,
        "Unknown": 0,
        "Green": 2,
        "Yellow": 0,
        "Red": 2
      }
    },
    {
      "Number": "02-B-DX",
      "IntNo": 189,
      "Name": "导向轴承",
      "ComponentName": "2号炉",
      "ComponentNumber": "02",
      "ComponentIntNo": 3,
      "MachineIntNo": 0,
      "ColorEval": 1,
      "ColorEvalExt": 2,
      "ColorEvalValue": 0.25,
      "Alarmed": false,
      "TechColorEval": {
        "Loaded": true,
        "Alarms": 0,
        "Unknown": 0,
        "Green": 4,
        "Yellow": 0,
        "Red": 0
      }
    },
    {
      "Number": "02-B-ZC",
      "IntNo": 190,
      "Name": "支撑轴承",
      "ComponentName": "2号炉",
      "ComponentNumber": "02",
      "ComponentIntNo": 3,
      "MachineIntNo": 0,
      "ColorEval": 2,
      "ColorEvalExt": 3,
      "ColorEvalValue": 0.5,
      "Alarmed": true,
      "TechColorEval": {
        "Loaded": true,
        "Alarms": 1,
        "Unknown": 0,
        "Green": 3,
        "Yellow": 1,
        "Red": 0
      }
    }
  ],
  "startAt": 0,
  "maxResults": 8,
  "total": 8,
  "isLast": true
}
````

#### 平台采集点位

````
测点编码:Number 
采样时间:目前(2022.5.19)平台生成采集时间    DateTime
测点状态:ColorEval
````

#### 获取方法的接口及返回的数据结构
/databases/{databaseName}/measuringpoints/{measuringPointNumberOrTechID}/assignments
######databaseName数据库名称
######measuringPointNumberOrTechID测点编码
````json
{
    "values": [
        {
            "Bearing": {
                "Number": "23192",
                "Manufacturer": "SKF"
            },
            "ShaftDiameterMM": 460,
            "NoRev": 50,
            "HDi": -32768,
            "FFT_Measurement": true,
            "Upper_Frequency_Orders": 100,
            "NoLinesSpectrum": 800,
            "EnhanceFactor": 3,
            "Symptoms": [
                {
                    "IntNo": 15,
                    "GroupSymNo": 117,
                    "Name": "HDm",
                    "SymType": 0,
                    "IsGroup": false,
                    "UnitStr": "HDn",
                    "IsCondParam": true,
                    "CondParam": 17,
                    "BearingParams": {
                        "BrngNo": "",
                        "Manufacturer": "",
                        "RPM_Formula": "",
                        "DeltaRPM": 0,
                        "z": 0,
                        "dz": 0,
                        "MinHarm": 0,
                        "MaxHarm": 0,
                        "ModRPM": 0,
                        "ModFIX": "",
                        "NoSidebands": 0,
                        "IncludeCF": 0
                    }
                },
                {
                    "IntNo": 16,
                    "GroupSymNo": 118,
                    "Name": "HDc",
                    "SymType": 0,
                    "IsGroup": false,
                    "UnitStr": "HDn",
                    "IsCondParam": true,
                    "CondParam": 18,
                    "BearingParams": {
                        "BrngNo": "",
                        "Manufacturer": "",
                        "RPM_Formula": "",
                        "DeltaRPM": 0,
                        "z": 0,
                        "dz": 0,
                        "MinHarm": 0,
                        "MaxHarm": 0,
                        "ModRPM": 0,
                        "ModFIX": "",
                        "NoSidebands": 0,
                        "IncludeCF": 0
                    }
                },
                {
                    "IntNo": 2,
                    "GroupSymNo": 13,
                    "Name": "Bearing",
                    "SymType": 4,
                    "IsGroup": true,
                    "UnitStr": "",
                    "IsCondParam": false,
                    "CondParam": 128,
                    "BearingParams": {
                        "BrngNo": "",
                        "Manufacturer": "",
                        "RPM_Formula": "",
                        "DeltaRPM": 0,
                        "z": 0,
                        "dz": 0,
                        "MinHarm": 0,
                        "MaxHarm": 0,
                        "ModRPM": 0,
                        "ModFIX": "",
                        "NoSidebands": 0,
                        "IncludeCF": 0
                    }
                },
                {
                    "IntNo": 3,
                    "GroupSymNo": 1,
                    "Name": "BPFO",
                    "SymType": 3,
                    "IsGroup": false,
                    "UnitStr": "HDesv",
                    "IsCondParam": false,
                    "CondParam": 128,
                    "BearingParams": {
                        "BrngNo": "23192",
                        "Manufacturer": "SKF",
                        "RPM_Formula": "RPM1",
                        "DeltaRPM": 0.01,
                        "z": 10.303,
                        "dz": 0.01,
                        "MinHarm": 1,
                        "MaxHarm": 4,
                        "ModRPM": 0,
                        "ModFIX": "0",
                        "NoSidebands": 2,
                        "IncludeCF": 1
                    }
                },
                {
                    "IntNo": 5,
                    "GroupSymNo": 3,
                    "Name": "BPFI",
                    "SymType": 3,
                    "IsGroup": false,
                    "UnitStr": "HDesv",
                    "IsCondParam": false,
                    "CondParam": 128,
                    "BearingParams": {
                        "BrngNo": "23192",
                        "Manufacturer": "SKF",
                        "RPM_Formula": "RPM1",
                        "DeltaRPM": 0.01,
                        "z": 12.697,
                        "dz": 0.01,
                        "MinHarm": 1,
                        "MaxHarm": 4,
                        "ModRPM": 0,
                        "ModFIX": "0",
                        "NoSidebands": 2,
                        "IncludeCF": 1
                    }
                },
                {
                    "IntNo": 7,
                    "GroupSymNo": 5,
                    "Name": "BSF",
                    "SymType": 3,
                    "IsGroup": false,
                    "UnitStr": "HDesv",
                    "IsCondParam": false,
                    "CondParam": 128,
                    "BearingParams": {
                        "BrngNo": "23192",
                        "Manufacturer": "SKF",
                        "RPM_Formula": "RPM1",
                        "DeltaRPM": 0.01,
                        "z": 9.328,
                        "dz": 0.01,
                        "MinHarm": 1,
                        "MaxHarm": 4,
                        "ModRPM": 0,
                        "ModFIX": "0",
                        "NoSidebands": 2,
                        "IncludeCF": 1
                    }
                },
                {
                    "IntNo": 9,
                    "GroupSymNo": 7,
                    "Name": "FTF",
                    "SymType": 3,
                    "IsGroup": false,
                    "UnitStr": "HDesv",
                    "IsCondParam": false,
                    "CondParam": 128,
                    "BearingParams": {
                        "BrngNo": "23192",
                        "Manufacturer": "SKF",
                        "RPM_Formula": "RPM1",
                        "DeltaRPM": 0.01,
                        "z": 0.448,
                        "dz": 0.01,
                        "MinHarm": 1,
                        "MaxHarm": 4,
                        "ModRPM": 0,
                        "ModFIX": "0",
                        "NoSidebands": 2,
                        "IncludeCF": 1
                    }
                }
            ],
            "MeasuringPointNumber": "01-A-DX",
            "TechID": "121_6_3",
            "Name": "01-A-DX 导向轴承 (SPM HD)",
            "TechName": "SPM HD",
            "Instruments": {
                "Names": [
                    "Online"
                ],
                "Intellinova": {
                    "CUIntNo": 1,
                    "Address": "U1 --> 2. VIB --> 1",
                    "MeasType": 0,
                    "MeasTypeName": "Time",
                    "MeasIntervalSeconds": 14400,
                    "RPMFactor": 1
                }
            },
            "ColorEval": 1,
            "ColorEvalExt": 2,
            "ColorEvalValue": 0.25,
            "Alarmed": false,
            "LimitsColorEval": {
                "Loaded": false,
                "Alarms": 409647016,
                "Unknown": 9656561,
                "Green": 0,
                "Yellow": 43753680,
                "Red": 0
            },
            "Limits": [
                {
                    "IntNo": 1,
                    "TechID": "121_6_3",
                    "SymInt": 15,
                    "GroupNo": -2147483647,
                    "LimitType": 111,
                    "CondParam": 17,
                    "Trend_nRes": 0,
                    "LimitName": "Level alarm: HDm",
                    "FullLimitName": "SPM HD: Level alarm: HDm",
                    "ValueName": "HDm",
                    "UnitStr": "HDn",
                    "GrafUnitStr": "HDn",
                    "ColorLevels": {
                        "UpperRed": 50,
                        "UpperYellow": 35,
                        "LowerYellow": 4.94065645842191E-308,
                        "LowerRed": 4.94065645842191E-308
                    },
                    "AlarmLevels": {
                        "UpperAlarm": 50,
                        "UpperAlert": 35,
                        "LowerAlarm": 4.94065645842191E-308,
                        "LowerAlert": 4.94065645842191E-308
                    }
                }
            ],
            "AssType": "MeasuringPoint.TSubAssignment_Vibration_HDm_HDc"
        },
        {
            "Bearing": {
                "Number": "23192",
                "Manufacturer": "SKF"
            },
            "Upper_Frequency_Orders": 100,
            "NoLinesSpectrum": 800,
            "EnhanceFactor": -32768,
            "Envelope": -100,
            "EnvelopeName": "Filter 1 (5-100 Hz)",
            "Advanced": false,
            "Averaging": {
                "Type": 0,
                "TypeName": "(None)",
                "Count": 4,
                "OverlapPercent": 0
            },
            "HDi": 0,
            "ShaftdiameterMM": 460,
            "Symptoms": [
                {
                    "IntNo": 1,
                    "GroupSymNo": 122,
                    "Name": "HDrp",
                    "SymType": 0,
                    "IsGroup": false,
                    "UnitStr": "dB",
                    "IsCondParam": true,
                    "CondParam": 22,
                    "BearingParams": {
                        "BrngNo": "",
                        "Manufacturer": "",
                        "RPM_Formula": "",
                        "DeltaRPM": 0,
                        "z": 0,
                        "dz": 0,
                        "MinHarm": 0,
                        "MaxHarm": 0,
                        "ModRPM": 0,
                        "ModFIX": "",
                        "NoSidebands": 0,
                        "IncludeCF": 0
                    }
                },
                {
                    "IntNo": 2,
                    "GroupSymNo": 13,
                    "Name": "Bearing",
                    "SymType": 4,
                    "IsGroup": true,
                    "UnitStr": "",
                    "IsCondParam": false,
                    "CondParam": 128,
                    "BearingParams": {
                        "BrngNo": "",
                        "Manufacturer": "",
                        "RPM_Formula": "",
                        "DeltaRPM": 0,
                        "z": 0,
                        "dz": 0,
                        "MinHarm": 0,
                        "MaxHarm": 0,
                        "ModRPM": 0,
                        "ModFIX": "",
                        "NoSidebands": 0,
                        "IncludeCF": 0
                    }
                },
                {
                    "IntNo": 3,
                    "GroupSymNo": 1,
                    "Name": "BPFO",
                    "SymType": 3,
                    "IsGroup": false,
                    "UnitStr": "HDeu",
                    "IsCondParam": false,
                    "CondParam": 128,
                    "BearingParams": {
                        "BrngNo": "23192",
                        "Manufacturer": "SKF",
                        "RPM_Formula": "RPM1",
                        "DeltaRPM": 0.01,
                        "z": 10.303,
                        "dz": 0.01,
                        "MinHarm": 1,
                        "MaxHarm": 4,
                        "ModRPM": 0,
                        "ModFIX": "0",
                        "NoSidebands": 2,
                        "IncludeCF": 1
                    }
                },
                {
                    "IntNo": 5,
                    "GroupSymNo": 3,
                    "Name": "BPFI",
                    "SymType": 3,
                    "IsGroup": false,
                    "UnitStr": "HDeu",
                    "IsCondParam": false,
                    "CondParam": 128,
                    "BearingParams": {
                        "BrngNo": "23192",
                        "Manufacturer": "SKF",
                        "RPM_Formula": "RPM1",
                        "DeltaRPM": 0.01,
                        "z": 12.697,
                        "dz": 0.01,
                        "MinHarm": 1,
                        "MaxHarm": 4,
                        "ModRPM": 0,
                        "ModFIX": "0",
                        "NoSidebands": 2,
                        "IncludeCF": 1
                    }
                },
                {
                    "IntNo": 6,
                    "GroupSymNo": 4,
                    "Name": "BPFIM",
                    "SymType": 3,
                    "IsGroup": false,
                    "UnitStr": "HDeu",
                    "IsCondParam": false,
                    "CondParam": 128,
                    "BearingParams": {
                        "BrngNo": "23192",
                        "Manufacturer": "SKF",
                        "RPM_Formula": "RPM1",
                        "DeltaRPM": 0.01,
                        "z": 12.697,
                        "dz": 0.01,
                        "MinHarm": 1,
                        "MaxHarm": 4,
                        "ModRPM": 1,
                        "ModFIX": "0",
                        "NoSidebands": 2,
                        "IncludeCF": 0
                    }
                },
                {
                    "IntNo": 7,
                    "GroupSymNo": 5,
                    "Name": "BSF",
                    "SymType": 3,
                    "IsGroup": false,
                    "UnitStr": "HDeu",
                    "IsCondParam": false,
                    "CondParam": 128,
                    "BearingParams": {
                        "BrngNo": "23192",
                        "Manufacturer": "SKF",
                        "RPM_Formula": "RPM1",
                        "DeltaRPM": 0.01,
                        "z": 9.328,
                        "dz": 0.01,
                        "MinHarm": 1,
                        "MaxHarm": 4,
                        "ModRPM": 0,
                        "ModFIX": "0",
                        "NoSidebands": 2,
                        "IncludeCF": 1
                    }
                },
                {
                    "IntNo": 8,
                    "GroupSymNo": 6,
                    "Name": "BSFM",
                    "SymType": 3,
                    "IsGroup": false,
                    "UnitStr": "HDeu",
                    "IsCondParam": false,
                    "CondParam": 128,
                    "BearingParams": {
                        "BrngNo": "23192",
                        "Manufacturer": "SKF",
                        "RPM_Formula": "RPM1",
                        "DeltaRPM": 0.01,
                        "z": 9.328,
                        "dz": 0.01,
                        "MinHarm": 1,
                        "MaxHarm": 4,
                        "ModRPM": 1,
                        "ModFIX": "0",
                        "NoSidebands": 2,
                        "IncludeCF": 0
                    }
                },
                {
                    "IntNo": 9,
                    "GroupSymNo": 7,
                    "Name": "FTF",
                    "SymType": 3,
                    "IsGroup": false,
                    "UnitStr": "HDeu",
                    "IsCondParam": false,
                    "CondParam": 128,
                    "BearingParams": {
                        "BrngNo": "23192",
                        "Manufacturer": "SKF",
                        "RPM_Formula": "RPM1",
                        "DeltaRPM": 0.01,
                        "z": 0.448,
                        "dz": 0.01,
                        "MinHarm": 1,
                        "MaxHarm": 4,
                        "ModRPM": 0,
                        "ModFIX": "0",
                        "NoSidebands": 2,
                        "IncludeCF": 1
                    }
                }
            ],
            "MeasuringPointNumber": "01-A-DX",
            "TechID": "121_6_1",
            "Name": "01-A-DX 导向轴承 (HD ENV)",
            "TechName": "HD ENV",
            "Instruments": {
                "Names": [
                    "Online"
                ],
                "Intellinova": {
                    "CUIntNo": 1,
                    "Address": "U1 --> 2. VIB --> 1",
                    "MeasType": 0,
                    "MeasTypeName": "Time",
                    "MeasIntervalSeconds": 57600,
                    "RPMFactor": 1
                }
            },
            "ColorEval": 1,
            "ColorEvalExt": 2,
            "ColorEvalValue": 0.25,
            "Alarmed": false,
            "LimitsColorEval": {
                "Loaded": false,
                "Alarms": 6,
                "Unknown": 9644948,
                "Green": 0,
                "Yellow": 5,
                "Red": 0
            },
            "Limits": [
                {
                    "IntNo": 4,
                    "TechID": "121_6_1",
                    "SymInt": 1,
                    "GroupNo": -2147483647,
                    "LimitType": 111,
                    "CondParam": 22,
                    "Trend_nRes": 0,
                    "LimitName": "Level alarm: HDrp",
                    "FullLimitName": "HD ENV: Level alarm: HDrp",
                    "ValueName": "HDrp",
                    "UnitStr": "dB",
                    "GrafUnitStr": "dB",
                    "ColorLevels": {
                        "UpperRed": 50,
                        "UpperYellow": 40,
                        "LowerYellow": 4.94065645842191E-308,
                        "LowerRed": 4.94065645842191E-308
                    },
                    "AlarmLevels": {
                        "UpperAlarm": 50,
                        "UpperAlert": 40,
                        "LowerAlarm": 4.94065645842191E-308,
                        "LowerAlert": 4.94065645842191E-308
                    }
                }
            ],
            "AssType": "MeasuringPoint.TSubAssignment_Vibration_HD_ENV"
        },
        {
            "OrderTracking": false,
            "FrequenceRange": {
                "UpperValue": 50,
                "UpperUnit": 0,
                "UpperUnitName": "Hz",
                "LowerHz": 0.5
            },
            "Window": 1,
            "WindowName": "Hanning",
            "NoLinesSpectrum": 1600,
            "Envelope": -32768,
            "EnvelopeName": "(None)",
            "SignalUnit": 2,
            "SignalUnitName": "mm/s",
            "SpectrumUnit": 2,
            "SpectrumUnitName": "mm/s",
            "FFT": 0,
            "FFTName": "Linear",
            "Averaging": {
                "Type": 2,
                "TypeName": "FFT linear",
                "Count": 4,
                "OverlapPercent": 0
            },
            "Zoom": {
                "Enabled": false,
                "Center": 4.94065645842191E-308,
                "Factor": -32768
            },
            "Symptoms": [
                {
                    "IntNo": 10,
                    "GroupSymNo": 100,
                    "Name": "位移",
                    "SymType": 0,
                    "IsGroup": false,
                    "UnitStr": "µm",
                    "IsCondParam": true,
                    "CondParam": 0,
                    "BearingParams": {
                        "BrngNo": "",
                        "Manufacturer": "",
                        "RPM_Formula": "",
                        "DeltaRPM": 0,
                        "z": 0,
                        "dz": 0,
                        "MinHarm": 0,
                        "MaxHarm": 0,
                        "ModRPM": 0,
                        "ModFIX": "",
                        "NoSidebands": 0,
                        "IncludeCF": 0
                    }
                },
                {
                    "IntNo": 11,
                    "GroupSymNo": 101,
                    "Name": "速度",
                    "SymType": 0,
                    "IsGroup": false,
                    "UnitStr": "mm/s",
                    "IsCondParam": true,
                    "CondParam": 1,
                    "BearingParams": {
                        "BrngNo": "",
                        "Manufacturer": "",
                        "RPM_Formula": "",
                        "DeltaRPM": 0,
                        "z": 0,
                        "dz": 0,
                        "MinHarm": 0,
                        "MaxHarm": 0,
                        "ModRPM": 0,
                        "ModFIX": "",
                        "NoSidebands": 0,
                        "IncludeCF": 0
                    }
                },
                {
                    "IntNo": 12,
                    "GroupSymNo": 102,
                    "Name": "加速度",
                    "SymType": 0,
                    "IsGroup": false,
                    "UnitStr": "m/s²",
                    "IsCondParam": true,
                    "CondParam": 2,
                    "BearingParams": {
                        "BrngNo": "",
                        "Manufacturer": "",
                        "RPM_Formula": "",
                        "DeltaRPM": 0,
                        "z": 0,
                        "dz": 0,
                        "MinHarm": 0,
                        "MaxHarm": 0,
                        "ModRPM": 0,
                        "ModFIX": "",
                        "NoSidebands": 0,
                        "IncludeCF": 0
                    }
                },
                {
                    "IntNo": 13,
                    "GroupSymNo": 110,
                    "Name": "峰值",
                    "SymType": 0,
                    "IsGroup": false,
                    "UnitStr": "mm/s",
                    "IsCondParam": true,
                    "CondParam": 10,
                    "BearingParams": {
                        "BrngNo": "",
                        "Manufacturer": "",
                        "RPM_Formula": "",
                        "DeltaRPM": 0,
                        "z": 0,
                        "dz": 0,
                        "MinHarm": 0,
                        "MaxHarm": 0,
                        "ModRPM": 0,
                        "ModFIX": "",
                        "NoSidebands": 0,
                        "IncludeCF": 0
                    }
                },
                {
                    "IntNo": 14,
                    "GroupSymNo": 111,
                    "Name": "峰峰值",
                    "SymType": 0,
                    "IsGroup": false,
                    "UnitStr": "mm/s",
                    "IsCondParam": true,
                    "CondParam": 11,
                    "BearingParams": {
                        "BrngNo": "",
                        "Manufacturer": "",
                        "RPM_Formula": "",
                        "DeltaRPM": 0,
                        "z": 0,
                        "dz": 0,
                        "MinHarm": 0,
                        "MaxHarm": 0,
                        "ModRPM": 0,
                        "ModFIX": "",
                        "NoSidebands": 0,
                        "IncludeCF": 0
                    }
                },
                {
                    "IntNo": 2,
                    "GroupSymNo": 13,
                    "Name": "Bearing",
                    "SymType": 4,
                    "IsGroup": true,
                    "UnitStr": "",
                    "IsCondParam": false,
                    "CondParam": 128,
                    "BearingParams": {
                        "BrngNo": "",
                        "Manufacturer": "",
                        "RPM_Formula": "",
                        "DeltaRPM": 0,
                        "z": 0,
                        "dz": 0,
                        "MinHarm": 0,
                        "MaxHarm": 0,
                        "ModRPM": 0,
                        "ModFIX": "",
                        "NoSidebands": 0,
                        "IncludeCF": 0
                    }
                },
                {
                    "IntNo": 3,
                    "GroupSymNo": 1,
                    "Name": "BPFO",
                    "SymType": 3,
                    "IsGroup": false,
                    "UnitStr": "mm/s",
                    "IsCondParam": false,
                    "CondParam": 128,
                    "BearingParams": {
                        "BrngNo": "23192",
                        "Manufacturer": "SKF",
                        "RPM_Formula": "RPM1",
                        "DeltaRPM": 0.01,
                        "z": 10.303,
                        "dz": 0.01,
                        "MinHarm": 1,
                        "MaxHarm": 4,
                        "ModRPM": 0,
                        "ModFIX": "0",
                        "NoSidebands": 2,
                        "IncludeCF": 1
                    }
                },
                {
                    "IntNo": 5,
                    "GroupSymNo": 3,
                    "Name": "BPFI",
                    "SymType": 3,
                    "IsGroup": false,
                    "UnitStr": "mm/s",
                    "IsCondParam": false,
                    "CondParam": 128,
                    "BearingParams": {
                        "BrngNo": "23192",
                        "Manufacturer": "SKF",
                        "RPM_Formula": "RPM1",
                        "DeltaRPM": 0.01,
                        "z": 12.697,
                        "dz": 0.01,
                        "MinHarm": 1,
                        "MaxHarm": 4,
                        "ModRPM": 0,
                        "ModFIX": "0",
                        "NoSidebands": 2,
                        "IncludeCF": 1
                    }
                },
                {
                    "IntNo": 7,
                    "GroupSymNo": 5,
                    "Name": "BSF",
                    "SymType": 3,
                    "IsGroup": false,
                    "UnitStr": "mm/s",
                    "IsCondParam": false,
                    "CondParam": 128,
                    "BearingParams": {
                        "BrngNo": "23192",
                        "Manufacturer": "SKF",
                        "RPM_Formula": "RPM1",
                        "DeltaRPM": 0.01,
                        "z": 9.328,
                        "dz": 0.01,
                        "MinHarm": 1,
                        "MaxHarm": 4,
                        "ModRPM": 0,
                        "ModFIX": "0",
                        "NoSidebands": 2,
                        "IncludeCF": 1
                    }
                },
                {
                    "IntNo": 9,
                    "GroupSymNo": 7,
                    "Name": "FTF",
                    "SymType": 3,
                    "IsGroup": false,
                    "UnitStr": "mm/s",
                    "IsCondParam": false,
                    "CondParam": 128,
                    "BearingParams": {
                        "BrngNo": "23192",
                        "Manufacturer": "SKF",
                        "RPM_Formula": "RPM1",
                        "DeltaRPM": 0.01,
                        "z": 0.448,
                        "dz": 0.01,
                        "MinHarm": 1,
                        "MaxHarm": 4,
                        "ModRPM": 0,
                        "ModFIX": "0",
                        "NoSidebands": 2,
                        "IncludeCF": 1
                    }
                }
            ],
            "MeasuringPointNumber": "01-A-DX",
            "TechID": "121_6_2",
            "Name": "01-A-DX 导向轴承 (振动低频)",
            "TechName": "振动低频",
            "Instruments": {
                "Names": [
                    "Online"
                ],
                "Intellinova": {
                    "CUIntNo": 1,
                    "Address": "U1 --> 2. VIB --> 1",
                    "MeasType": 0,
                    "MeasTypeName": "Time",
                    "MeasIntervalSeconds": 14400,
                    "RPMFactor": 1
                }
            },
            "ColorEval": 1,
            "ColorEvalExt": 2,
            "ColorEvalValue": 0.25,
            "Alarmed": false,
            "LimitsColorEval": {
                "Loaded": false,
                "Alarms": 0,
                "Unknown": 207740048,
                "Green": 0,
                "Yellow": 98774272,
                "Red": 0
            },
            "Limits": [
                {
                    "IntNo": 2,
                    "TechID": "121_6_2",
                    "SymInt": 11,
                    "GroupNo": -2147483647,
                    "LimitType": 111,
                    "CondParam": 1,
                    "Trend_nRes": 0,
                    "LimitName": "Level alarm: Vel, Rms",
                    "FullLimitName": "振动低频: Level alarm: Vel, Rms",
                    "ValueName": "Vel, Rms",
                    "UnitStr": "mm/s",
                    "GrafUnitStr": "mm/s",
                    "ColorLevels": {
                        "UpperRed": 7.1,
                        "UpperYellow": 4.5,
                        "LowerYellow": 4.94065645842191E-308,
                        "LowerRed": 4.94065645842191E-308
                    },
                    "AlarmLevels": {
                        "UpperAlarm": 7.1,
                        "UpperAlert": 4.5,
                        "LowerAlarm": 4.94065645842191E-308,
                        "LowerAlert": 4.94065645842191E-308
                    }
                }
            ],
            "AssType": "MeasuringPoint.TSubAssignment_Vibration_EVAM"
        },
        {
            "OrderTracking": false,
            "FrequenceRange": {
                "UpperValue": 2000,
                "UpperUnit": 0,
                "UpperUnitName": "Hz",
                "LowerHz": 10
            },
            "Window": 1,
            "WindowName": "Hanning",
            "NoLinesSpectrum": 1600,
            "Envelope": -32768,
            "EnvelopeName": "(None)",
            "SignalUnit": 3,
            "SignalUnitName": "m/s²",
            "SpectrumUnit": 3,
            "SpectrumUnitName": "m/s²",
            "FFT": 0,
            "FFTName": "Linear",
            "Averaging": {
                "Type": 2,
                "TypeName": "FFT linear",
                "Count": 4,
                "OverlapPercent": 0
            },
            "Zoom": {
                "Enabled": false,
                "Center": 4.94065645842191E-308,
                "Factor": -32768
            },
            "Symptoms": [
                {
                    "IntNo": 10,
                    "GroupSymNo": 100,
                    "Name": "位移",
                    "SymType": 0,
                    "IsGroup": false,
                    "UnitStr": "µm",
                    "IsCondParam": true,
                    "CondParam": 0,
                    "BearingParams": {
                        "BrngNo": "",
                        "Manufacturer": "",
                        "RPM_Formula": "",
                        "DeltaRPM": 0,
                        "z": 0,
                        "dz": 0,
                        "MinHarm": 0,
                        "MaxHarm": 0,
                        "ModRPM": 0,
                        "ModFIX": "",
                        "NoSidebands": 0,
                        "IncludeCF": 0
                    }
                },
                {
                    "IntNo": 11,
                    "GroupSymNo": 101,
                    "Name": "速度",
                    "SymType": 0,
                    "IsGroup": false,
                    "UnitStr": "mm/s",
                    "IsCondParam": true,
                    "CondParam": 1,
                    "BearingParams": {
                        "BrngNo": "",
                        "Manufacturer": "",
                        "RPM_Formula": "",
                        "DeltaRPM": 0,
                        "z": 0,
                        "dz": 0,
                        "MinHarm": 0,
                        "MaxHarm": 0,
                        "ModRPM": 0,
                        "ModFIX": "",
                        "NoSidebands": 0,
                        "IncludeCF": 0
                    }
                },
                {
                    "IntNo": 12,
                    "GroupSymNo": 102,
                    "Name": "加速度",
                    "SymType": 0,
                    "IsGroup": false,
                    "UnitStr": "m/s²",
                    "IsCondParam": true,
                    "CondParam": 2,
                    "BearingParams": {
                        "BrngNo": "",
                        "Manufacturer": "",
                        "RPM_Formula": "",
                        "DeltaRPM": 0,
                        "z": 0,
                        "dz": 0,
                        "MinHarm": 0,
                        "MaxHarm": 0,
                        "ModRPM": 0,
                        "ModFIX": "",
                        "NoSidebands": 0,
                        "IncludeCF": 0
                    }
                },
                {
                    "IntNo": 13,
                    "GroupSymNo": 110,
                    "Name": "峰值",
                    "SymType": 0,
                    "IsGroup": false,
                    "UnitStr": "m/s²",
                    "IsCondParam": true,
                    "CondParam": 10,
                    "BearingParams": {
                        "BrngNo": "",
                        "Manufacturer": "",
                        "RPM_Formula": "",
                        "DeltaRPM": 0,
                        "z": 0,
                        "dz": 0,
                        "MinHarm": 0,
                        "MaxHarm": 0,
                        "ModRPM": 0,
                        "ModFIX": "",
                        "NoSidebands": 0,
                        "IncludeCF": 0
                    }
                },
                {
                    "IntNo": 14,
                    "GroupSymNo": 111,
                    "Name": "峰峰值",
                    "SymType": 0,
                    "IsGroup": false,
                    "UnitStr": "m/s²",
                    "IsCondParam": true,
                    "CondParam": 11,
                    "BearingParams": {
                        "BrngNo": "",
                        "Manufacturer": "",
                        "RPM_Formula": "",
                        "DeltaRPM": 0,
                        "z": 0,
                        "dz": 0,
                        "MinHarm": 0,
                        "MaxHarm": 0,
                        "ModRPM": 0,
                        "ModFIX": "",
                        "NoSidebands": 0,
                        "IncludeCF": 0
                    }
                },
                {
                    "IntNo": 2,
                    "GroupSymNo": 13,
                    "Name": "Bearing",
                    "SymType": 4,
                    "IsGroup": true,
                    "UnitStr": "",
                    "IsCondParam": false,
                    "CondParam": 128,
                    "BearingParams": {
                        "BrngNo": "",
                        "Manufacturer": "",
                        "RPM_Formula": "",
                        "DeltaRPM": 0,
                        "z": 0,
                        "dz": 0,
                        "MinHarm": 0,
                        "MaxHarm": 0,
                        "ModRPM": 0,
                        "ModFIX": "",
                        "NoSidebands": 0,
                        "IncludeCF": 0
                    }
                },
                {
                    "IntNo": 3,
                    "GroupSymNo": 1,
                    "Name": "BPFO",
                    "SymType": 3,
                    "IsGroup": false,
                    "UnitStr": "m/s²",
                    "IsCondParam": false,
                    "CondParam": 128,
                    "BearingParams": {
                        "BrngNo": "23192",
                        "Manufacturer": "SKF",
                        "RPM_Formula": "RPM1",
                        "DeltaRPM": 0.01,
                        "z": 10.303,
                        "dz": 0.01,
                        "MinHarm": 1,
                        "MaxHarm": 4,
                        "ModRPM": 0,
                        "ModFIX": "0",
                        "NoSidebands": 2,
                        "IncludeCF": 1
                    }
                },
                {
                    "IntNo": 5,
                    "GroupSymNo": 3,
                    "Name": "BPFI",
                    "SymType": 3,
                    "IsGroup": false,
                    "UnitStr": "m/s²",
                    "IsCondParam": false,
                    "CondParam": 128,
                    "BearingParams": {
                        "BrngNo": "23192",
                        "Manufacturer": "SKF",
                        "RPM_Formula": "RPM1",
                        "DeltaRPM": 0.01,
                        "z": 12.697,
                        "dz": 0.01,
                        "MinHarm": 1,
                        "MaxHarm": 4,
                        "ModRPM": 0,
                        "ModFIX": "0",
                        "NoSidebands": 2,
                        "IncludeCF": 1
                    }
                },
                {
                    "IntNo": 7,
                    "GroupSymNo": 5,
                    "Name": "BSF",
                    "SymType": 3,
                    "IsGroup": false,
                    "UnitStr": "m/s²",
                    "IsCondParam": false,
                    "CondParam": 128,
                    "BearingParams": {
                        "BrngNo": "23192",
                        "Manufacturer": "SKF",
                        "RPM_Formula": "RPM1",
                        "DeltaRPM": 0.01,
                        "z": 9.328,
                        "dz": 0.01,
                        "MinHarm": 1,
                        "MaxHarm": 4,
                        "ModRPM": 0,
                        "ModFIX": "0",
                        "NoSidebands": 2,
                        "IncludeCF": 1
                    }
                },
                {
                    "IntNo": 9,
                    "GroupSymNo": 7,
                    "Name": "FTF",
                    "SymType": 3,
                    "IsGroup": false,
                    "UnitStr": "m/s²",
                    "IsCondParam": false,
                    "CondParam": 128,
                    "BearingParams": {
                        "BrngNo": "23192",
                        "Manufacturer": "SKF",
                        "RPM_Formula": "RPM1",
                        "DeltaRPM": 0.01,
                        "z": 0.448,
                        "dz": 0.01,
                        "MinHarm": 1,
                        "MaxHarm": 4,
                        "ModRPM": 0,
                        "ModFIX": "0",
                        "NoSidebands": 2,
                        "IncludeCF": 1
                    }
                }
            ],
            "MeasuringPointNumber": "01-A-DX",
            "TechID": "121_6_4",
            "Name": "01-A-DX 导向轴承 (振动高频)",
            "TechName": "振动高频",
            "Instruments": {
                "Names": [
                    "Online"
                ],
                "Intellinova": {
                    "CUIntNo": 1,
                    "Address": "U1 --> 2. VIB --> 1",
                    "MeasType": 0,
                    "MeasTypeName": "Time",
                    "MeasIntervalSeconds": 600,
                    "RPMFactor": 1
                }
            },
            "ColorEval": 1,
            "ColorEvalExt": 2,
            "ColorEvalValue": 0.25,
            "Alarmed": false,
            "LimitsColorEval": {
                "Loaded": false,
                "Alarms": 0,
                "Unknown": 207746096,
                "Green": 0,
                "Yellow": 98774272,
                "Red": 0
            },
            "Limits": [
                {
                    "IntNo": 3,
                    "TechID": "121_6_4",
                    "SymInt": 11,
                    "GroupNo": -2147483647,
                    "LimitType": 111,
                    "CondParam": 1,
                    "Trend_nRes": 0,
                    "LimitName": "Level alarm: Vel, Rms",
                    "FullLimitName": "振动高频: Level alarm: Vel, Rms",
                    "ValueName": "Vel, Rms",
                    "UnitStr": "mm/s",
                    "GrafUnitStr": "mm/s",
                    "ColorLevels": {
                        "UpperRed": 7.1,
                        "UpperYellow": 4.5,
                        "LowerYellow": 4.94065645842191E-308,
                        "LowerRed": 4.94065645842191E-308
                    },
                    "AlarmLevels": {
                        "UpperAlarm": 7.1,
                        "UpperAlert": 4.5,
                        "LowerAlarm": 4.94065645842191E-308,
                        "LowerAlert": 4.94065645842191E-308
                    }
                }
            ],
            "AssType": "MeasuringPoint.TSubAssignment_Vibration_EVAM"
        }
    ],
    "startAt": 0,
    "maxResults": 4,
    "total": 4,
    "isLast": true
}
````



#### 测点总值接口及返回数据结构

/databases/{databaseName}/measuringpoints/{measuringPointNumberOrTechID}/assignments/{assignmentTechIDorName}/results

######databaseName是数据库名称
######measuringPointNumberOrTechID是测点编码
######assignmentTechIDorName是第二个接口中返回的TechName



```json
{
  "values": [
    {
      "DateTime": "2022-02-18T15:33:34.000Z",
      "Result": {
        "RPM": {
          "RPM1": 942.8578,
          "RPM2": 4.94065645842191e-308,
          "Avg": 942.8578,
          "Min": 942.736145,
          "Max": 942.945923,
          "Delta": 0.209778000000028
        },
        "FFT": {
          "Upper_Orders": 0,
          "Lower_Orders": 0,
          "Upper_Frequence_Hz": 0,
          "Lower_Frequence_Hz": 0,
          "Unit": -1,
          "UnitName": "",
          "DisplayUnitName": "",
          "DisplayUnitConvType": 0,
          "FFT": []
        },
        "Phase": {
          "Phases": []
        },
        "TimeSignal": {
          "Unit": 0,
          "UnitName": "",
          "DisplayUnitName": "",
          "DisplayUnitConvType": 0,
          "Samples": [],
          "TotalTimeMS": 0
        },
        "Symptoms": [],
        "Conditions": {
          "DISP": 4.94065645842191e-308,
          "VEL": 4.94065645842191e-308,
          "ACC": 4.94065645842191e-308,
          "CREST": 4.94065645842191e-308,
          "KURT": 4.94065645842191e-308,
          "SKEW": 4.94065645842191e-308,
          "NL1": 4.94065645842191e-308,
          "NL2": 4.94065645842191e-308,
          "NL3": 4.94065645842191e-308,
          "NL4": 4.94065645842191e-308,
          "Peak": 4.94065645842191e-308,
          "PkToPk": 4.94065645842191e-308,
          "dBm": 4.94065645842191e-308,
          "dBc": 4.94065645842191e-308,
          "LR": 4.94065645842191e-308,
          "HR": 4.94065645842191e-308,
          "HDm": -18.3999996185303,
          "HDc": -26.1000003814697,
          "HDi": 19.6000003814697,
          "HDrp": 4.94065645842191e-308,
          "Temperature": 4.94065645842191e-308,
          "VibBias": 13.1055326461792,
          "TLT": -128,
          "kOhm": 4.94065645842191e-308
        },
        "DateTime": "2022-02-18T15:33:34.000Z",
        "TechID": "177_6_2"
      }
    }
  ]
}
````

#### 平台采集点位
Max:Max
````
测点编码:measuringPointNumberOrTechID   
采样时间:DateTime    
====(RPM:RPM)====开始
RPM1:RPM1
RPM2:RPM2
Avg:Avg
Min:Min
Max:Max
Delta:Delta
====(RPM:RPM)====结束
HDm:HDm    
HDc:HDc    
速度值:VEL   
位移值:DISP    
加速度值:ACC    
峰值:Peak  
峰峰值:PkToPk
````

#### 平台内其他参数配置及说明

```json
{
  "mps": {
    "databaseName": [
      "mps"
    ]
  },
  "user": "YFDHV",
  "pass": "YFDHV",
  "emptyanddefault": "1"
}
```

```
mps:测点状态  
    databaseName:数据库名称    //如果要采集测点状态,必填  
mpv:测点总值  
    databaseName:数据库名称    //如果要采集测点总值,必填  
    measuringPointNumberOrTechID:测点编码    //如果要采集测点总值,必填  
    assignmentTechIDorName:    //如果要采集测点总值,必填  
    ShortMem:  
    LongMem:  
    MaxCount:  
    StartDateTime:  
    StopDateTime:  
    MpktTech:  
    Expand:  
user:认证用户名
pass:认证用户密码
emptyanddefault:  默认是1
```